Subject: Re: [RFC NET_SCHED 00/02]: Flexible SFQ flow classification

From: jamal <[email-masked]>
Date: Wed, 30 May 2007 12:34:57 -0400

On Wed, 2007-30-05 at 18:23 +0200, Patrick McHardy wrote:

> I think exposing SFQ's queues as classes is a good thing, it allows
> you to do whatever classification you want. In fact I'm probably
> going to add patch on top to also dump them to userspace. 

Yes, that would be useful.

> What
> remains for SFQ to do is serve the queues evenly.

And it does (yes, I looked at the patch;->).  

> My classifier seperates them entirely. The only thing it keeps
> in SFQ is the old classifier for compatibility, besides that its
> exactly what you say. It should be easily possible to remove it
> entirely and use my classifier in a compatible configuration
> automatically.
> 

If you removed it entirely (and had it as a separate classifier) IMO
that would be a better approach. Then what you have is a pure FQ qdisc.
In which case, you leave alone SFQ and have a new qdisc.
The "removed" hashing dynamic classifier would of course be better off
it allowed the user to select a hash algorithm such as the other ones
specified in ESFQ.

cheers,
jamal